import React from 'react'
import { render } from 'react-dom'
import Parallax, { Layer } from '../../src'

const styles = {
  backgroundImage: `url('https://i.pinimg.com/originals/77/0f/7d/770f7dc25782276ee7c1fd308cbb7e4f.jpg')`,
  backgroundSize: '110% auto',
  height: 500
}

const App = () => (
  <Parallax>
    <div style={{ height: 2000, backgroundColor: 'yellow', paddingTop: 300 }}>
      <Layer style={styles} settings={{ speed: 0.4 }}></Layer>
    </div>
  </Parallax>
)
render(<App />, document.getElementById('root'));